Search documentation of bb

# BB.StateMachine.Transition (bb v0.8.0)

View Source

Payload type for state machine transition events.

# Summary

## Types

t()

## Functions

new(frame_id, attrs)

# Types

# t()

    @type t() :: %BB.StateMachine.Transition{from: atom(), to: atom()}

# Functions

# new(frame_id, attrs)

    @spec new(
      atom(),
      keyword()
    ) :: {:ok, BB.Message.t()} | {:error, term()}